## org.apache.axis.client.async
Class Status.Type

    java.lang.Object
      org.apache.axis.constants.Enum.Type
          org.apache.axis.client.async.Status.Type

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  Status

public static class Status.Type
extends Enum.Type

Class Type

Version:
  %I%, %G%
Author:
See Also:
  Serialized Form

Method Summary
`Status` `getStatus(int status)` Method getStatus
`Status` `getStatus(java.lang.String status)` Method getStatus
`Status` `getStatus(java.lang.String status, Status dephault)` Method getStatus

Methods inherited from class org.apache.axis.constants.Enum.Type
`getDefault, getEnum, getEnum, getEnum, getEnumNames, getName, isValid, setDefault, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getStatus

    public final Status getStatus(int status)

  Method getStatus

  Parameters:
    `status` -
  Returns:

### getStatus

    public final Status getStatus(java.lang.String status)

  Method getStatus

  Parameters:
    `status` -
  Returns:

### getStatus

    public final Status getStatus(java.lang.String status,
                                  Status dephault)

  Method getStatus

  Parameters:
    `status` -
    `dephault` -
  Returns:

Copyright © 2005 Apache Web Services Project. All Rights Reserved.